package login

import (
	"context"

	v1 "cris/api/login/v1"
	"cris/internal/service"
)

type (
	slogin struct{}
)

func init() {
	service.RegisterLogin(&slogin{})
}

func (s *slogin) Login(ctx context.Context, req *v1.LoginReq) (*v1.LoginRes, error) {
	// 在这里进行具体的逻辑处理
	return &v1.LoginRes{
		Message: "Login successful",
		Data: map[string]interface{}{
			"email":    req.Email,
			"password": req.Password,
		},
	}, nil
}
